Mojolicious::Plugin::EPRenderer(3pm)

NAME
Mojolicious::Plugin::EPRenderer - Embedded Perl renderer plugin

SYNOPSIS
  # Mojolicious
  $app->plugin('EPRenderer');
  $app->plugin(EPRenderer => {name => 'foo'});
  $app->plugin(EPRenderer => {name => 'bar', template => {line_start => '.'}});

  # Mojolicious::Lite
  plugin 'EPRenderer';
  plugin EPRenderer => {name => 'foo'};
  plugin EPRenderer => {name => 'bar', template => {line_start => '.'}};

DESCRIPTION
Mojolicious::Plugin::EPRenderer is a renderer for Embedded Perl templates. For more information see "Embedded Perl" in Mojolicious::Guides::Rendering.

This is a core plugin, that means it is always enabled and its code a good example for learning to build new plugins, you're welcome to fork it.

See "PLUGINS" in Mojolicious::Plugins for a list of plugins that are available by default.

OPTIONS
Mojolicious::Plugin::EPRenderer supports the following options.

  name
  # Mojolicious::Lite
  plugin EPRenderer => {name => 'foo'};

Handler name, defaults to "ep".

  template
  # Mojolicious::Lite
  plugin EPRenderer => {template => {line_start => '.'}};

Attribute values passed to Mojo::Template objects used to render templates.

METHODS
Mojolicious::Plugin::EPRenderer inherits all methods from Mojolicious::Plugin::EPLRenderer and implements the following new ones.

  register
  $plugin->register(Mojolicious->new);
  $plugin->register(Mojolicious->new, {name => 'foo'});

Register renderer in Mojolicious application.

SEE ALSO
Mojolicious, Mojolicious::Guides, <https://mojolicious.org>.